Loading...
Searching...
No Matches
peptide.cpp File Reference

peptide model More...

`#include <QDebug>`
`#include <algorithm>`
`#include "peptide.h"`
`#include "../pappsoexception.h"`
`#include "../exception/exceptionoutofrange.h"`
`#include "../exception/exceptionnotpossible.h"`
`#include "peptidenaturalisotopelist.h"`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

bool | pappso::peptideIonTypeIsComplement (PeptideIon ion_type_ref, PeptideIon ion_type)
| tells if an ion type is the complement ion of the other
bool | pappso::peptideIonIsNter (PeptideIon ion_type)
| tells if an ion is Nter
PeptideDirection | pappso::getPeptideIonDirection (PeptideIon ion_type)
| get the direction of a peptide ion

## Detailed Description

peptide model

Date
  7/3/2015

Author
  Olivier Langella

Definition in file peptide.cpp.